using Core.Abstractions.DomainObjects;
using Core.Enumerations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.DomainObjects.L10n {
  public class MediaAttachmentL10n : DomainObjectBase<MediaAttachmentL10n> {
    public Locales Locale { get; set; }
    public string Alt { get; set; }
    public string? Target { get; set; }
    public string? Titile { get; set; }
    public string? Description { get; set; }

    public override int GetHashCode() {
      int hash = 17;
      hash = hash * 23 + Locale.GetHashCode();
      hash = hash * 23 + Alt.GetHashCode();

      if(Target != null)
        hash = hash * 23 + Target.GetHashCode();

      if (Titile != null)
        hash = hash * 23 + Target.GetHashCode();

      if (Description != null)
        hash = hash * 23 + Description.GetHashCode();

      return hash;
    }
  }
}
